Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.io
Class TNCConnector

    java.lang.Object
      org.ka2ddo.ax25.Connector
          org.ka2ddo.yaac.io.PortConnector
              org.ka2ddo.yaac.io.TransmittingPortConnector
                  org.ka2ddo.yaac.io.TNCConnector

Direct Known Subclasses:
  AGWPEConnector, AprsIsConnector, FileTNCConnector, KenwoodConnector, KissOverTcpConnector, OuternetConnector, SerialTNCConnector, SslAprsIsConnector

    public abstract class TNCConnector

extends TransmittingPortConnector

This class defines a generic bidirectional TNC interface port, which can both send and receive AX.25 frames.

Nested Class Summary

Nested classes/interfaces inherited from class org.ka2ddo.ax25.Connector
`Connector.PortStats`

Field Summary

Fields inherited from class org.ka2ddo.yaac.io.PortConnector
`currentCfg, portConfig`

Fields inherited from class org.ka2ddo.ax25.Connector
`CAP_FULL_DUPLEX, CAP_GPS_DATA, CAP_HF, CAP_IGATE, CAP_OPENTRAC, CAP_RCV_PACKET_DATA, CAP_RF, CAP_WAYPOINT_SENDER, CAP_WEATHER, CAP_XMT_PACKET_DATA, stats`

Constructor Summary
`TNCConnector()`

Method Summary
`static AX25Frame` | `convertTNC2FormatToAX25Frame(int bufLen, byte[] buf)` Convert a String of a TNC2 format APRS packet into an AX25Frame object.
`int` | `getBitRate()` Get the bit transmission rate on this port.
`java.lang.String` | `getCallsign()` Get the string representation AX.25 callsign associated with this TNC port.
`AX25Callsign` | `getPortAddress()` Get the AX.25 callsign associated with this TNC port.
`void` | `setPortAddress(AX25Callsign portAddress)` Set the AX.25 callsign associated with this TNC port.

Methods inherited from class org.ka2ddo.yaac.io.TransmittingPortConnector
`sendFrame`

Methods inherited from class org.ka2ddo.yaac.io.PortConnector
`addFrameListener, addPortEventListener, configure, createPort, fireConsumeFrame, fireConsumeFrame, fireFailed, fireReceiving, fireTransmitting, getPortConnectorClass, portConnectorClasses, portTypeNames, registerPortConnectorType, removeFrameListener, removePortEventListener, setPortConfig`

Methods inherited from class org.ka2ddo.ax25.Connector
`close, finalize, getCapabilities, getStats, hasCapability, isOpen`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TNCConnector

    public TNCConnector()

Method Detail

### convertTNC2FormatToAX25Frame

    public static AX25Frame convertTNC2FormatToAX25Frame(int bufLen,
                                                         byte[] buf)

  Convert a String of a TNC2 format APRS packet into an AX25Frame object.

  Parameters:
    `bufLen` - the number of bytes to use in the buffer
    `buf` - the byte array containing the TNC2 format message
  Returns:
    an AX25Frame object filled in with the frame as if it was received as third-party APRS-IS traffic

### getPortAddress

    public AX25Callsign getPortAddress()

  Get the AX.25 callsign associated with this TNC port.

  Returns:
    AX25Callsign for this port (may be null if port is not configured)

### setPortAddress

    public void setPortAddress(AX25Callsign portAddress)

  Set the AX.25 callsign associated with this TNC port.

  Parameters:
    `portAddress` - AX25Callsign for this port (may be null if port is not configured)

### getCallsign

    public java.lang.String getCallsign()

  Get the string representation AX.25 callsign associated with this TNC port.

  Overrides:
    `getCallsign` in class `Connector`
  Returns:
    String callsign for this port (may be empty string if port is not configured)

### getBitRate

    public int getBitRate()

  Get the bit transmission rate on this port.

  Returns:
    bit rate in bits per second (baud)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD